// JavaScript source code
$(document).ready(function () {
    // Select all elements with the class 'content-carousel'
    $('.content-carousel').each(function () {
        new Splide(this, {
            type: 'loop',
            perPage: 1,
            gap: '.75rem',
            mediaQuery: 'min',
            rewind: true,
            clones: 0,
            breakpoints: {
                360: {
                    perPage: 2,
                    padding: { right: '0.75rem' }
                },
                500: {

                },
                640: {

                },
                768: {
                    perPage: 3,
                },
                1024: {

                },
                1280: {
                    perPage: 4,
                },
                1536: {
                    perPage: 5,
                },
                1920: {

                },
                2560: {
                    perPage: 6,
                },
            }
        }
        ).mount();
    });
});

$(document).ready(function () {
    // Select all elements with the class '.person.content-carousel'
    $('.person').each(function () {
        new Splide(this, {
            type: 'loop',
            perPage: 2,
            gap: '1rem',
            mediaQuery: 'min',
            rewind: true,
            clones: 0,
            breakpoints: {
                360: {
                    perPage: 3,
                    padding: { right: '0.75rem' }
                },
                500: {

                },
                640: {

                },
                768: {
                    perPage: 5,
                },
                1024: {
                    perPage: 6,
                },
                1280: {
                    perPage: 6,
                },
                1536: {
                    perPage: 8,
                },
                1920: {
                    perPage: 9,

                },
                2560: {
                    perPage: 10,
                },
            }
        }
        ).mount();
    });
});

function appendArrowIcons() {
    // Append the right arrow icon to each next arrow
    $('.splide__arrow--next').each(function () {
        // Check if the icon is already appended to avoid duplicating icons
        if ($(this).find('i').length === 0) {
            $(this).append('<i class="fas fa-angle-right fa-lg"></i>');
        }
    });

    // Append the left arrow icon to each previous arrow
    $('.splide__arrow--prev').each(function () {
        if ($(this).find('i').length === 0) {
            $(this).append('<i class="fas fa-angle-left fa-lg"></i>');
        }
    });

    // Ensure the arrows are visible (if hidden by default)
    $('.splide__arrow').css('visibility', 'visible').show();
}

// Ensure Splide is initialized before appending icons
$(document).ready(function () {
    // Wait until the window is fully loaded to avoid timing issues with Splide.js initialization
    $(window).on('load', function () {
        appendArrowIcons(); // Call the function after window load
    });
});

// Re-append icons and ensure visibility on window resize
$(window).on('resize', function () {
    appendArrowIcons();
});




function adjustArrowPosition() {
    // Loop through each carousel
    $('.content-carousel').each(function () {
        // Cache the carousel and find the first .thumb-img and the header element
        var $carousel = $(this);
        var thumbImgHeight = $carousel.find('.thumb-img').first().height();
        var headerHeight = $carousel.find('header').height(); // Targeting the <header> element

        // Only proceed if both heights are greater than 0
        if (thumbImgHeight > 0 && headerHeight > 0) {
            // Calculate half the thumb-img height and add the header height
            var topValue = (thumbImgHeight / 2) + headerHeight;

            // Set the 'top' property of the .splide__arrows
            $carousel.find('.splide__arrow').css('top', topValue + 'px');
        }
    });
}

function adjustOnImagesLoad() {
    var totalImages = $('.thumb-img').length;
    var imagesLoaded = 0;

    // Wait for each image to load
    $('.thumb-img').each(function () {
        if (this.complete) {
            imagesLoaded++;
        } else {
            $(this).on('load', function () {
                imagesLoaded++;
                if (imagesLoaded === totalImages) {
                    adjustArrowPosition();
                }
            });
        }
    });

    // If all images were already loaded
    if (imagesLoaded === totalImages) {
        adjustArrowPosition();
    }

    appendArrowIcons();
}

$(window).on('resize', adjustArrowPosition); // Adjust on resize
$(window).on('load', adjustOnImagesLoad); // Adjust on page load once images are fully loaded


